%define name 	usbview
%define version 2.0

Name:		%name
Summary:	USB topology and device viewer
Version:	%version
Release:	%mkrel 1
Source:		%Url/%{name}-%{version}.tar.xz
Source1:	%{name}-icons.tar.bz2
Source2:	usbview-1.0-man.tar.bz2
Group:		System/Kernel and hardware 
BuildRequires:	gtk+3-devel imagemagick
URL:		http://www.kroah.com/linux-usb/
BuildRoot:	%_tmppath/%{name}-buildroot
License:	GPL
Requires:	initscripts >= 9.25-15

%description
USBView is a GTK program that displays the topography of the devices that are
plugged into the USB bus on a Linux machine. It also displays information on
each of the devices. This can be useful to determine if a device is working
properly or not. 

%prep
%setup -q -a2

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p %buildroot/{%_iconsdir,%_mandir/man{7,8}}
for sec in 7 8; do
	install -m 644 usbview.$sec %buildroot/%_mandir/man$sec
done
bzcat %{SOURCE1}|tar xf - -C %buildroot/%{_iconsdir}


#menu
mkdir -p %buildroot%_datadir/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=UsbView
Comment=USB Views
Exec=%{name}
Icon=%{name}.png
Type=Application
Terminal=false
Categories=GTK;System;X-MandrivaLinux-System-Monitoring;
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING* ChangeLog INSTALL NEWS README TODO
%{_datadir}/applications/%{name}.desktop
%_bindir/*
%_iconsdir/*
%_mandir/*/*

%changelog
* Sat Apr 19 2014 bb <bb> 2.0-1pclos2014
- update for kernels 3.12.x

* Wed Oct 13 2010 Texstar <texstar at gmail.com> 1.1-2pclos2010
- convert to tar.xz
- remove old menu entry
- add new xdg menu entry
- fix specfile release wrong

* Sun Oct 10 2010 Sproggy <desproggstr@gmail.com> 1.1-1pclos2010
- 1.1

* Fri Nov 03 2006 Bart the Build Bot <bartbot at pclinuxos dot com> 1.0-5pclos2007
- Build for PCLinuxOS 2007

